<?php

if ( !defined( 'TYPO3_MODE' ) )
{
  die( 'Access denied.' );
}


/**
 * Include TypoScript
 */
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, 'Configuration/TypoScript/Carousel', 'Slick: Carousel' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, 'Configuration/TypoScript/Item', 'Slick: Item' );


/**
 * Register Custom Fluid Content Element
 */
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPlugin(
        array(
  'Slick: Item',
  'slickitem'
        ), 'CType'
);


/**
 * Register Slick Single Item Content Element
 */
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPlugin(
        array(
  'Slick: Carousel',
  'slickcarousel'
        ), 'CType'
);


\TYPO3\CMS\Core\Utility\GeneralUtility::loadTCA( 'tt_content' );


/**
 * Prepare TCA for Custom Fluid Content Element
 */
//$TCA[ 'tt_content' ][ 'types' ][ 'slickitem' ][ 'showitem' ] = $TCA[ 'tt_content' ][ 'types' ][ 'textpic' ][ 'showitem' ];
//$TCA[ 'tt_content' ][ 'types' ][ 'slickitem' ][ 'showitem' ] = ''
//        . '  --palette--;LLL:EXT:cms/locallang_ttc.xlf:palette.general;general,'
//        . '  --palette--;LLL:EXT:cms/locallang_ttc.xlf:palette.header;header,'
//        . '    bodytext;Text;;richtext:rte_transform[flag=rte_enabled|mode=ts_css],'
//        . '    rte_enabled;LLL:EXT:cms/locallang_ttc.xlf:rte_enabled_formlabel,'
//        . '--div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.images,'
//        . '	 image,'
//        . '  --palette--;LLL:EXT:cms/locallang_ttc.xlf:palette.imagelinks;imagelinks,'
//        . '--div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.appearance,'
//        . '	 --palette--;LLL:EXT:cms/locallang_ttc.xlf:palette.frames;frames,'
//        . '	 --palette--;LLL:EXT:cms/locallang_ttc.xlf:palette.image_settings;image_settings,'
//        . '  --palette--;LLL:EXT:cms/locallang_ttc.xlf:palette.imageblock;imageblock,'
//        . '--div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.access,'
//        . '	 --palette--;LLL:EXT:cms/locallang_ttc.xlf:palette.visibility;visibility,'
//        . '  --palette--;LLL:EXT:cms/locallang_ttc.xlf:palette.access;access,'
//        . '--div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.extended,'
//        . '--div--;LLL:EXT:lang/locallang_tca.xlf:sys_category.tabs.category, '
//        . '  categories'
//;
$TCA[ 'tt_content' ][ 'types' ][ 'slickitem' ][ 'showitem' ] = ''
        . '  --palette--;LLL:EXT:cms/locallang_ttc.xlf:palette.general;general,'
        . '    header,'
        . '    header_link,'
        . '    bodytext;Text;;richtext:rte_transform[flag=rte_enabled|mode=ts_css],'
        . '    rte_enabled;LLL:EXT:cms/locallang_ttc.xlf:rte_enabled_formlabel,'
        . '--div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.images,'
        . '	 image,'
        . '  --palette--;LLL:EXT:cms/locallang_ttc.xlf:palette.imagelinks;imagelinks,'
;

/**
 * Prepare TCA for a slick single item
 */
$TCA[ 'tt_content' ][ 'types' ][ 'slickcarousel' ][ 'showitem' ] = $TCA[ 'tt_content' ][ 'types' ][ 'shortcut' ][ 'showitem' ];

/**
 * Page tree icons
 */
$TCA[ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array( 'Slick', 'slick', t3lib_extMgm::extRelPath( $_EXTKEY ) . 'ext_icon.gif' );
t3lib_SpriteManager::addTcaTypeIcon( 'pages', 'contains-slick', '../typo3conf/ext/slick/ext_icon.gif' );
?>